Vulnerabilities (CVE)

Vendor filter

Amazon Subscribe

Filter

40 total CVE
CVE Vendors Products Updated CVSS
CVE-2018-19189 1 Amazon 2 Payfort, Payfort-php-sdk 2018-12-17 4.3
The Amazon PAYFORT payfort-php-SDK payment gateway SDK through 2018-04-26 has XSS via an arbitrary parameter name or value that is mishandled in an error.php echo statement.
CVE-2018-19186 1 Amazon 1 Payfort-php-sdk 2018-12-17 4.3
The Amazon PAYFORT payfort-php-SDK payment gateway SDK through 2018-04-26 has XSS via the route.php paymentMethod parameter.
CVE-2018-19188 1 Amazon 1 Payfort-php-sdk 2018-12-17 4.3
The Amazon PAYFORT payfort-php-SDK payment gateway SDK through 2018-04-26 has XSS via the success.php fort_id parameter.
CVE-2018-11019 1 Amazon 1 Fire Os 2018-12-03 7.8
kernel/omap/drivers/misc/gcx/gcioctl/gcif.c in the kernel component in Amazon Kindle Fire HD(3rd) Fire OS 4.5.5.3 allows attackers to inject a crafted argument via the argument of an ioctl on device /dev/gcioctl with the command 3221773726 and...
CVE-2018-11021 1 Amazon 1 Fire Os 2018-12-03 7.8
kernel/omap/drivers/video/omap2/dsscomp/device.c in the kernel component in Amazon Kindle Fire HD(3rd) Fire OS 4.5.5.3 allows attackers to inject a crafted argument via the argument of an ioctl on device /dev/dsscomp with the command 1118064517...
CVE-2018-11023 1 Amazon 1 Fire Os 2018-12-03 7.8
kernel/omap/drivers/misc/gcx/gcioctl/gcif.c in the kernel component in Amazon Kindle Fire HD (3rd) Fire OS 4.5.5.3 allows attackers to inject a crafted argument via the argument of an ioctl on device /dev/gcioctl with the command 3222560159 and...
CVE-2018-11022 1 Amazon 1 Fire Os 2018-12-03 7.8
kernel/omap/drivers/misc/gcx/gcioctl/gcif.c in the kernel component in Amazon Kindle Fire HD(3rd) Fire OS 4.5.5.3 allows attackers to inject a crafted argument via the argument of an ioctl on device /dev/gcioctl with the command 3224132973 and...
CVE-2018-11024 1 Amazon 1 Fire Os 2018-12-03 7.8
kernel/omap/drivers/misc/gcx/gcioctl/gcif.c in the kernel component in Amazon Kindle Fire HD (3rd) Fire OS 4.5.5.3 allows attackers to inject a crafted argument via the argument of an ioctl on device /dev/gcioctl with the command 1077435789 and...
CVE-2018-11025 1 Amazon 1 Fire Os 2018-12-03 7.8
kernel/omap/drivers/mfd/twl6030-gpadc.c in the kernel component in Amazon Kindle Fire HD(3rd) Fire OS 4.5.5.3 allows attackers to inject a crafted argument via the argument of an ioctl on device /dev/twl6030-gpadc with the command 24832 and cause...
CVE-2012-5783 3 Amazon, Apache, Canonical 3 Ubuntu Linux, Flexible Payments Service, Commons-httpclient 2018-01-05 5.8
Apache Commons HttpClient 3.x, as used in Amazon Flexible Payments Service (FPS) merchant Java SDK and other products, does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the...
CVE-2012-5817 2 Amazon, Codehaus 2 Xfire, Ec2 Api Tools Java Library 2017-08-29 5.8
Codehaus XFire 1.2.6 and earlier, as used in the Amazon EC2 API Tools Java library and other products, does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509...
CVE-2012-5782 1 Amazon 1 Flexible Payments Service 2017-08-29 5.8
Amazon Flexible Payments Service (FPS) PHP Library does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which allows man-in-the-middle attackers to...
CVE-2015-7292 1 Amazon 1 Fire Os 2017-04-15 10.0
Stack-based buffer overflow in the havok_write function in drivers/staging/havok/havok.c in Amazon Fire OS before 2016-01-15 allows attackers to cause a denial of service (panic) or possibly have unspecified other impact via a long string to /dev/hv.
CVE-2017-6189 1 Amazon 1 Kindle For Pc 2017-03-24 4.4
Untrusted search path vulnerability in Amazon Kindle for PC before 1.19 allows local users to execute arbitrary code and conduct DLL hijacking attacks via a Trojan horse DLL in the current working directory of the Kindle Setup installer.
CVE-2014-3908 1 Amazon 1 Kindle 2014-09-02 5.8
The Amazon.com Kindle application before 4.5.0 for Android does not verify X.509 certificates from SSL servers, which allows man-in-the-middle attackers to spoof servers and obtain sensitive information via a crafted certificate.
CVE-2012-5780 1 Amazon 1 Merchant Sdk 2012-11-20 5.8
The Amazon merchant SDK does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which allows man-in-the-middle attackers to spoof SSL servers via an...
CVE-2012-5781 1 Amazon 1 Elastic Load Balancing Api Tools 2012-11-06 5.8
Amazon Elastic Load Balancing API Tools does not verify that the server hostname matches a domain name in the subject's Common Name (CN) or subjectAltName field of the X.509 certificate, which allows man-in-the-middle attackers to spoof SSL...
CVE-2010-5268 1 Amazon 1 Kindle For Pc 2012-09-10 6.9
Untrusted search path vulnerability in Amazon Kindle for PC 1.3.0 30884 allows local users to gain privileges via a Trojan horse wintab32.dll file in the current working directory, as demonstrated by a directory that contains a .azw file. NOTE:...
CVE-2012-4249 1 Amazon 1 Kindle Touch 2012-08-13 10.0
The Amazon Lab126 com.lab126.system sendEvent implementation on the Kindle Touch before 5.1.2 allows context-dependent attackers to execute arbitrary commands via shell metacharacters in a string, as demonstrated by using lipc-set-prop to set an...
CVE-2012-4248 1 Amazon 1 Kindle Touch 2012-08-13 9.3
The Amazon Kindle Touch before 5.1.2 does not properly restrict access to the libkindleplugin.so NPAPI plugin interface, which might allow remote attackers to have an unspecified impact via vectors involving the (1) dev.log, (2) lipc.set, (3)...